#include <pspiofilemgr.h>
#include <stdarg.h>
#include <stdio.h>
#include "debug.h"

int debuglog(const char * string)
{
    // Append Data
    return appendBufferToFile(LOGFILE, (void*)string, strlen(string));
}

int appendBufferToFile(const char * path, void * buffer, int buflen)
{
    // Written Bytes
    int written = 0;

    // Open File for Appending
    SceUID file = sceIoOpen(path, PSP_O_APPEND | PSP_O_CREAT | PSP_O_WRONLY, 0777);

    // Opened File
    if(file >= 0)
    {
      // Write Buffer
      written = sceIoWrite(file, buffer, buflen);

      // Close File
      sceIoClose(file);
    }

    // Return Written Bytes
    return written;
}